> ## Documentation Index
> Fetch the complete documentation index at: https://docs.man0.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a run attachment

> Upload a run attachment of up to 20 MiB. The response includes its URL, CID, classified type and readable text when available. Requires current consent.



## OpenAPI

````yaml openapi.json POST /api/uploads
openapi: 3.0.3
info:
  title: Man0 API
  version: 1.0.0
  description: Man0 workflows, catalog, accounts and NEAR Intents.
servers:
  - url: https://api.man0.space
security: []
tags:
  - name: System
  - name: Accounts
  - name: Authentication
  - name: Catalog
  - name: Vibe and media
  - name: Workflows
  - name: Drafts
  - name: Execution
  - name: Analytics
  - name: NEAR accounts
  - name: Intents
paths:
  /api/uploads:
    post:
      tags:
        - Vibe and media
      summary: Upload a run attachment
      description: >-
        Upload a run attachment of up to 20 MiB. The response includes its URL,
        CID, classified type and readable text when available. Requires current
        consent.
      operationId: upload
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/uploadAttachmentBody'
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadResult'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication required or expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Permission or current consent required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Resource or policy changed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '413':
          description: >-
            Request body exceeds the size limit. Upload attachments accept at
            most 20 MB of decoded file bytes.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Request rate exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - man0Auth: []
components:
  schemas:
    uploadAttachmentBody:
      type: object
      properties:
        fileBase64:
          type: string
          minLength: 1
          maxLength: 30000000
        fileName:
          type: string
          minLength: 1
          maxLength: 240
        mimeType:
          type: string
          maxLength: 160
      required:
        - fileBase64
        - fileName
    UploadResult:
      allOf:
        - $ref: '#/components/schemas/WorkflowAttachment'
        - type: object
          properties:
            uri:
              type: string
          required:
            - uri
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        threadId:
          type: string
        missing:
          type: array
          items:
            $ref: '#/components/schemas/MissingConnectorRequirement'
        missingInputs:
          type: array
          items:
            $ref: '#/components/schemas/MissingInputRequirement'
      required:
        - error
    WorkflowAttachment:
      type: object
      properties:
        type:
          type: string
          enum:
            - image
            - audio
            - video
            - pdf
            - file
            - text
            - json
        url:
          type: string
          maxLength: 2048
          format: uri
        mimeType:
          type: string
          maxLength: 160
        name:
          type: string
          maxLength: 240
        size:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        cid:
          type: string
          maxLength: 160
        text:
          type: string
          maxLength: 64000
      required:
        - type
        - url
    MissingConnectorRequirement:
      type: object
      properties:
        entryId:
          type: string
        slug:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - account
            - gated
        userAddress:
          type: string
        missingVars:
          type: array
          items:
            type: object
            properties:
              varName:
                type: string
              description:
                type: string
              obtainUrl:
                type: string
            required:
              - varName
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        requestId:
          type: string
      required:
        - entryId
        - slug
        - name
        - type
        - reason
    MissingInputRequirement:
      type: object
      properties:
        stepId:
          type: string
        stepLabel:
          type: string
        modelId:
          type: string
        modelName:
          type: string
        acceptedInputs:
          type: array
          items:
            type: string
        questions:
          type: array
          items:
            type: string
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        proposalId:
          type: string
      required:
        - stepId
        - stepLabel
        - acceptedInputs
        - reason
  securitySchemes:
    man0Auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Man0 authentication token returned by sign-in.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.